    The XSPEC compTT model: Comptonization, Titarchuk.

xscomptt
The xscomptt model is an additive model component.

The model is described at [1] .

>>> create_model_component("xscomptt", "mdl")
>>> print(mdl)

Create a component of the xscomptt model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.redshift frozen 0 -0.999 10 mdl.T0 thawed 0.1 0.001 100 keV mdl.kT thawed 50 2 500 keV mdl.taup thawed 1 0.01 200 mdl.approx frozen 1 0 200 mdl.norm thawed 1 0 1e+24

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
redshift
The redshift of the source.
T0
The input soft photon (Wien) temperature in keV.
kT
The plasma temperature, in keV.
taup
The plasma optical depth.
approx
The geometry setting: a value less than or equal to 1 is a disk, above 1 it is a sphere. See [1] for more details on how this parameter affects the model. It must remain frozen.
norm
The normalization of the model.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelComptt.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023